;----------------------------------------
LED_OUT_ISR:
 in		SREG_SAVE, SREG
 push	Temp
 push	TempH

 sbic	Status0, _DebugFlag
 rjmp	_LED_ISR_End

 
 sbi	LED_Cathode, LED_red
 sbi	LED_Cathode, LED_green
 sbi	LED_Cathode, LED_blue
 
 ldi	Temp, 0x03								;toggle Anode pins
 out	PinB, Temp

 sbis	PinB, 0
 rjmp	_LED_right

_LED_left:
 sbrc	LEDs, 3
 cbi	LED_Cathode, LED_red
 sbrc	LEDs, 4
 cbi	LED_Cathode, LED_green
 sbrc	LEDs, 5
 cbi	LED_Cathode, LED_blue
 rjmp	_LED_ISR_End

_LED_right:
 sbrc	LEDs, 0
 cbi	LED_Cathode, LED_red
 sbrc	LEDs, 1
 cbi	LED_Cathode, LED_green
 sbrc	LEDs, 2
 cbi	LED_Cathode, LED_blue
 rjmp	_LED_ISR_End
 

_LED_ISR_End:
 sbi	Status0, _SnifferFlag
 
 dec	ADC_IntervalCT
 brne	_LED_ISR_End1

 ldi	Temp, 155
 mov	ADC_IntervalCT, Temp
 
 ldi	Temp, (1<<ADEN)|(1<<ADSC)|(1<<ADIF)|(0<<ADIE)|(1<<ADPS2)|(1<<ADPS0)			;ADC enabled, start conversion, Prescaler 32 -> 250kHz
 out	ADCSRA, Temp
 

 mov	Temp, Timer_PSC
 andi	Temp, 0x1F
 brne	_LED_ISR_End0
 sbi	Status0, _SlotCheck
 

_LED_ISR_End0:
 dec	Timer_PSC
 brne	_LED_ISR_End1

 dec	Status_Timer
 brne	_LED_ISR_End1

 ldi	Status_Timer, 30									;5min Battery Measure Interval
 sbi	Status0, _BatteryStatus


_LED_ISR_End1:
 pop	TempH
 pop	Temp 
 out	SREG, SREG_Save
 reti



 //End of File//